# The Docker image that will be used to build your app
image: node:18-alpine
# Functions that should be executed before the build script is run
before_script:
  - apk add git
  - git clone https://gitlab.com/govbr-ds/ds/dev/govbr-ds-dev-core.git
  - cd govbr-ds-dev-core
  - npm install
  - npm run build
  - mv dist ../public
pages:
  script:
    - npm run build
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
